import req from '@/request.js'
const portal = window.context.portal
export default {
  
	//分页查询
	trainingPaperQuery(data, cb) {
	  req.post(portal + `/exam/imitate/record/trainingPaperQuery`, data).then(res => {
	    cb(res.data)
	  })
	},
	
    //查看试卷
    getUserRecord(id, cb) {
        req.get(portal + `/exam/imitate/record/getUserRecord/` + id).then(rep => {
            cb(rep.data)
        })
    },
	//错题本
	errorQuestionsList(id, cb) {
	    req.get(portal + `/exam/imitate/record/errorQuestionsList/` + id).then(rep => {
	        cb(rep.data)
	    })
	},
}